Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content.portlet
Class InternalPortletContentProvider

    java.lang.Object
      org.jboss.portal.core.impl.model.content.InternalContentProvider
          org.jboss.portal.core.impl.model.content.portlet.InternalPortletContentProvider

All Implemented Interfaces:
  ContentHandler, ContentRenderer

    public class InternalPortletContentProvider

extends InternalContentProvider
implements ContentHandler

Version:
  $Revision: 9006 $
Author:
  Julien Viet

Constructor Summary
`InternalPortletContentProvider()`

Method Summary
`void` | `contentCreated(java.lang.String contextId, ContentState state)` Life cycle method to signal state creation.
`void` | `contentDestroyed(java.lang.String contextId, ContentState state)` Life cycle method to signal state destruction.
`protected ContentProvider` | `createProvider()`
`CustomizationManager` | `getCustomizationManager()`
`InstanceContainer` | `getInstanceContainer()`
`protected Instance` | `getPortletInstance(ContentRendererContext rendererContext)` Returns the portlet instance to render view mode.
`Content` | `newContent(java.lang.String contextId, ContentState state)` Factory method that creates an instance of content object.
`void` | `setCustomizationManager(CustomizationManager customizationManager)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.portal.core.impl.model.content.InternalContentProvider
`getContentType, getPortalAuthorizationManagerFactory, getRegisteredContentType, getRegistry, renderWindow, setContentType, setPortalAuthorizationManagerFactory, setRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalPortletContentProvider

    public InternalPortletContentProvider()

Method Detail

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getCustomizationManager

    public CustomizationManager getCustomizationManager()

### setCustomizationManager

    public void setCustomizationManager(CustomizationManager customizationManager)

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `InternalContentProvider`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Overrides:
    `stop` in class `InternalContentProvider`

### createProvider

    protected ContentProvider createProvider()

  Specified by:
    `createProvider` in class `InternalContentProvider`

### newContent

    public Content newContent(java.lang.String contextId,
                              ContentState state)

  Description copied from interface: `ContentHandler`
  Factory method that creates an instance of content object. This method is called whenever the frameworks needs a runtime representation of the content state which can be used at runtime by content clients.

  Specified by:
    `newContent` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is used
    `state` - the state
  Returns:
    the content interface implementation

### contentDestroyed

    public void contentDestroyed(java.lang.String contextId,
                                 ContentState state)

  Description copied from interface: `ContentHandler`
  Life cycle method to signal state destruction.

  Specified by:
    `contentDestroyed` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is destroyed
    `state` - the state

### contentCreated

    public void contentCreated(java.lang.String contextId,
                               ContentState state)

  Description copied from interface: `ContentHandler`
  Life cycle method to signal state creation.

  Specified by:
    `contentCreated` in interface `ContentHandler`
  Parameters:
    `contextId` - the context id in which the state is created
    `state` - the state

### getPortletInstance

    protected Instance getPortletInstance(ContentRendererContext rendererContext)

  Description copied from class: `InternalContentProvider`
  Returns the portlet instance to render view mode.

  Specified by:
    `getPortletInstance` in class `InternalContentProvider`
  Returns:
    the portlet instance for the view mode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD